Deploy Data Kit Components by Using Deploy Data Kit Components Flow

Deploys data kit components sequentially in one call. The response body contains the Flow_InterviewGuid. This flow is available by using the REST API version 61.0 and later.

URI 

/services/data/v61.0/actions/custom/flow/sfdatakit__DeployDataKitComponents

Formats 

JSON, XML

HTTP Methods 

POST

Authentication 

Authorization: Bearer token

Properties 

NameTypeDescription
dataKitComponentsInputArray of sfdatakit__DeployComponentInputRequired. A collection of data kit components to deploy. The collection list contains the payload details about the components.
dataKitNameInputTextRequired. The data kit name that contains the components.
dataKitDataSpaceInputTextOptional. The name of the data space to deploy the data kit. If a data space isn’t defined, the system deploys the components in the default data space.

Example 

This example request triggers the Deployed Data Kit Components flow to deploy the data stream bundle, data lake objects, and data transforms components from the MyTestDatakit data kit.

Example Request

1curl https://MyDomainName.my.salesforce.com/services/data/v68.0/actions/custom/flow/sfdatakit__DeployDataKitComponents

Example Request Body

1{
2  "inputs": [
3    {
4      "dataKitComponentsInput": [
5        {
6          "componentType": "DataStreamBundle",
7          "bundleConfig": {
8            "connectorType": "CRM",
9            "bundleName": "CRMBundleTest",
10            "forceNoRefresh": true,
11            "bundleCRMConfig": {
12              "orgId": "00DU200000051Q5"
13            }
14          }
15        },
16        {
17          "componentType": "DataLakeObject",
18          "dloConfig": {
19            "dataSourceObjectDevName": "Account_A_New_DLO",
20            "apiName": "Account_A_New_DLO",
21            "label": "Account A New DLO"
22          }
23        },
24        {
25          "componentType": "DataLakeObject",
26          "dloConfig": {
27            "dataSourceObjectDevName": "Account_P_New_DLO",
28            "apiName": "Account_P_New_DLO",
29            "label": "Account P New DLO"
30          }
31        },
32        {
33          "componentType": "DataTransform",
34          "dataTransformConfig": {
35            "dataTransformType": "BATCH",
36            "dataTransformDevName": "BatchTransformAccount",
37            "apiName": "BatchTransformAccount",
38            "label": "BatchTransformAccount"
39          }
40        }
41      ],
42      "dataKitNameInput": "MyTestDatakit",
43      "dataKitDataSpaceInput": "default"
44    }
45  ]
46}

Example Response Body

1{
2        "actionName": "sfdatakit__DeployDataKitComponents",
3        "errors": null,
4        "invocationId": null,
5        "isSuccess": true,
6        "outputValues": {
7            "Flow__InterviewGuid": "43c0ccb801784ff02fa0c8a1919b1877f5-605b",
8            "Flow__InterviewStatus": "Waiting"
9        },
10        "sortOrder": -1,
11        "version": 1
12    }